scala.runtime
class BoxedAnyArray

[source: `scala/runtime/BoxedAnyArray.scala`]

@serializable
`final` `class` BoxedAnyArray(`val` length : Int)
  `extends` BoxedArray

  Arrays created by `new Array[T](length)` where `T` is a type variable.

Author
  Martin Odersky

Method Summary
`def` | apply (index : Int) : Any The element at given index
`override def` | copyFrom (src : AnyRef, from : Int, to : Int, len : Int) : Unit
`override def` | copyTo (from : Int, dest : AnyRef, to : Int, len : Int) : Unit
`override def` | equals (other : Any) : Boolean
`override final def` | filter (p : (Any) => Boolean) : BoxedArray Returns all the elements of this sequence that satisfy the predicate `p`. The order of the elements is preserved.
`override def` | hashCode : Int
`override final def` | slice (start : Int, end : Int) : BoxedArray A sub-sequence of `len` elements starting at index `from` (non-strict)
`override def` | subArray (start : Int, end : Int) : AnyRef
`def` | unbox (elemTag : String) : AnyRef Convert to Java array.
`def` | unbox (elemClass : Class) : AnyRef
`def` | update (index : Int, _elem : Any) : Unit Update element at given index
`def` | value : AnyRef The underlying array value

Methods inherited from BoxedArray
isDefinedAt, elements, copyToArray, map, flatMap, ++, zip, zipWithIndex, indices, slice0, take, drop, takeWhile, dropWhile, deepToString, deepMkString, deepMkString, deepEquals, stringPrefix

Methods inherited from Mutable
projection, readOnly, reverse

Methods inherited from RandomAccessSeq
toStream, safeIs

Methods inherited from Seq
size, isEmpty, concat, last, lastOption, headOption, lastIndexOf, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` apply(index : Int) : Any

  The element at given index

Overrides
  BoxedArray.apply

`` `def` update(index : Int, _elem : Any) : Unit

  Update element at given index

Overrides
  BoxedArray.update

`` `def` unbox(elemTag : String) : AnyRef

  Convert to Java array.

Parameters
  `elemTag -` Either one of the tags ".N" where N is the name of a primitive type (@see ScalaRunTime), or a full class name.

Overrides
  BoxedArray.unbox

`` `def` unbox(elemClass : Class) : AnyRef

Overrides
  BoxedArray.unbox

`override` `def` equals(other : Any) : Boolean

`override` `def` hashCode : Int

`` `def` value : AnyRef

  The underlying array value

Overrides
  BoxedArray.value

`override` `def` copyFrom(src : AnyRef, from : Int, to : Int, len : Int) : Unit

Overrides
  BoxedArray.copyFrom

`override` `def` copyTo(from : Int, dest : AnyRef, to : Int, len : Int) : Unit

Overrides
  BoxedArray.copyTo

`override` `def` subArray(start : Int, end : Int) : AnyRef

Overrides
  BoxedArray.subArray

`override final` `def` filter(p : (Any) => Boolean) : BoxedArray

  Returns all the elements of this sequence that satisfy the predicate `p`. The order of the elements is preserved.

Parameters
  `p -` the predicate used to filter the list.
Returns
  the elements of this list satisfying `p`.

`override final` `def` slice(start : Int, end : Int) : BoxedArray

  A sub-sequence of `len` elements starting at index `from` (non-strict)

Parameters
  `from -` The index of the first element of the slice
  `until -` The index of the element following the slice
Throws
  `IndexOutOfBoundsException -` if `from < 0` or `length < from + len```

Overrides
  BoxedArray.slice